<mat-tab-group
	class="noselect"
	[(selectedIndex)]="selectedTabIndex"
	(selectedIndexChange)="changeTabContent($event)">
	<mat-tab *ngFor="let tab of tabs">
        <ng-template mat-tab-label>
			<mat-icon *ngIf="tab.Icon">{{tab.Icon}}</mat-icon>
			<span>{{tab.Label}}</span>
		</ng-template>
		<ng-template matTabContent>
			<div class="tab-content">
				<figure>
					<img [src]="tab.Logo">
				</figure>
				<div class="header">
					<span
						class="title"
						typingAnimation
						[typeSpeed]="tab.TitleTyping.TypingSpeed"
						[startDelay]="tab.TitleTyping.TypingDelay">

						{{tab.Title}}
					</span>
					<span
						class="subtitle"
						typingAnimation
						[typeSpeed]="tab.SubtitleTyping.TypingSpeed"
						[startDelay]="tab.SubtitleTyping.TypingDelay">
						
						{{tab.Subtitle}}
					</span>
				</div>
			</div>
		</ng-template>
	</mat-tab>
</mat-tab-group>
<div class="terminal">
	<router-outlet></router-outlet>
</div>